1.0
1.0
get /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/notifications
Description
Search Event Policy Notification
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | page optional | Page Number (default: 0) Example : 0 | integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10 | integer | None |
| query | sort optional | Sorting Field List | array[string] | None |
| path | eventPolicyId required | Event Policy ID to inquire - Event Policy ID can be viewed using @[ListEventPolicies]. Example : 7226 | integer | None |
| header | X-ResourceType required | Resource Type Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PageResponseNotificationResponse |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/notifications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"addrbookAdditionalInfo": {
"memberCount": 4,
"userAdditionalInfo": [
{
"account_id": "",
"company_name": "",
"dst_offset": "",
"email": "",
"id": "",
"last_login_at": "",
"member_created_at": "",
"password_reuse_count": "",
"timezone": "",
"tz_id": "",
"user_name": "",
"utc_offset": ""
}
]
},
"notificationMethods": [
{
"eventLevel": "FATAL",
"notificationMethod": "",
"sendMethod": [
"MAIL"
]
}
],
"recipientKey": "1984",
"recipientName": "홍길동",
"recipientType": "USER",
"userAdditionalInfo": {
"account_id": "",
"company_name": "",
"dst_offset": "",
"email": "",
"id": "",
"last_login_at": "",
"member_created_at": "",
"password_reuse_count": "",
"timezone": "",
"tz_id": "",
"user_name": "",
"utc_offset": ""
}
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}